Package com.collabnet.ce.soap60.webservices.tracker

# Class ArtifactSoapList

java.lang.Object
com.collabnet.ce.soap60.webservices.tracker.ArtifactSoapList

public class ArtifactSoapList extends Object
ArtifactSoapList class represents a list of artifacts in a tracker. It contains a sequence of ArtifactSoapRow objects.

Note that the ArtifactSoapRow object is strictly a data container used for one-way fetching of data about a set of objects. Its "set" methods cannot be used to change data on the server. The normal pattern for updating data on the server is to get a data object describing a single artifact with getArtifactData(), alter that data object appropriately, and pass it back with setArtifactData().

Change History
Release: 4.2

- Field 'priority' type changed from 'Integer' to 'int'.
- Field 'estimatedHours' type changed from 'Integer' to 'int'.
- Field 'actualHours' type changed from 'Integer' to 'int'.

Release: 6.1

- Added id and title of planning folder.
- Added points field.
- Added autosumming field.
- Added version field.
- Renamed estimatedHours and actualHours to estimatedEffort and actualEffort, and added remainingEffort field.

Since:
  4.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArtifactSoapList()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArtifactSoapRow[]`
  `getDataRows()`
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setDataRows(ArtifactSoapRow[] rows)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ArtifactSoapList

    public ArtifactSoapList()

- ## Method Details

  - ### getDataRows

    public ArtifactSoapRow[] getDataRows()

  - ### setDataRows

    public void setDataRows(ArtifactSoapRow[] rows)

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)